Bug 1632658 - libaom is missing pthread
Summary: libaom is missing pthread
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aom
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 10:28 UTC by Nicolas Chauvet (kwizart)
Modified: 2018-10-19 15:49 UTC (History)
1 user (show)

Fixed In Version: aom-1.0.0-4.20180925gitd0076f5.fc28 aom-1.0.0-5.20180925gitd0076f5.fc29 aom-1.0.0-4.20180925gitd0076f5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 01:09:54 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2018-09-25 10:28:24 UTC
Description of problem:
There is an issue with aom library.

Version-Release number of selected component (if applicable):
aom-1.0.0-4.fc29

How reproducible:
always

Steps to Reproduce:
ldd -d -r /usr/lib64/libaom.so.0
	linux-vdso.so.1 (0x00007ffcdd9ae000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f52c395a000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f52c359b000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f52c43ec000)
undefined symbol: pthread_once	(/usr/lib64/libaom.so.0)
undefined symbol: pthread_create	(/usr/lib64/libaom.so.0)
undefined symbol: pthread_join	(/usr/lib64/libaom.so.0)

Additional info:
You need to add -lpthread at link time.

Comment 1 Robert-André Mauchin 2018-09-25 15:16:02 UTC
It's fixed upstream. I'll publish a prerelease I was delaying.

Comment 2 Fedora Update System 2018-09-25 16:37:39 UTC
aom-1.0.0-5.20180925gitd0076f5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e3c9e92f1

Comment 3 Fedora Update System 2018-09-25 17:01:48 UTC
aom-1.0.0-4.20180925gitd0076f5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-482d17e866

Comment 4 Fedora Update System 2018-09-25 17:24:55 UTC
aom-1.0.0-4.20180925gitd0076f5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-828a33c1bd

Comment 5 Fedora Update System 2018-09-27 02:11:07 UTC
aom-1.0.0-5.20180925gitd0076f5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e3c9e92f1

Comment 6 Fedora Update System 2018-09-27 03:38:08 UTC
aom-1.0.0-4.20180925gitd0076f5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-828a33c1bd

Comment 7 Fedora Update System 2018-09-27 04:47:42 UTC
aom-1.0.0-4.20180925gitd0076f5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-482d17e866

Comment 8 Fedora Update System 2018-09-30 01:09:54 UTC
aom-1.0.0-4.20180925gitd0076f5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-03 14:27:59 UTC
aom-1.0.0-5.20180925gitd0076f5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-19 15:49:08 UTC
aom-1.0.0-4.20180925gitd0076f5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.